Get the SLO definitions

Base URL
https://{kibana_url}
  • GET /s/{spaceId}/internal/observability/slos/_definitions
Auth

You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default

Query parameters

includeOutdatedOnly boolean

Indicates if the API returns only outdated SLO or all SLO definitions

tags string

Filters the SLOs by tag

Filters the SLOs by name

Example: my service availability
page number

The page to use for pagination, must be greater or equal than 1

perPage integer · max: 1000 · default: 100

Number of SLOs returned by page

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

Successful request

application/json
One of:
page number
perPage number
total number
Base URL
https://{kibana_url}